Index: ./libs/libmyth/mythcdrom-freebsd.cpp
===================================================================
RCS file: /var/lib/mythcvs/mythtv/libs/libmyth/mythcdrom-freebsd.cpp,v
retrieving revision 1.1
diff -u -r1.1 mythcdrom-freebsd.cpp
--- ./libs/libmyth/mythcdrom-freebsd.cpp	4 Jun 2004 02:31:22 -0000	1.1
+++ ./libs/libmyth/mythcdrom-freebsd.cpp	4 Jun 2004 03:54:37 -0000
@@ -2,7 +2,7 @@
 #include <errno.h>
 #include <sys/ioctl.h>
 #include <sys/cdio.h>
-
+#include "mythcontext.h"
 
 #define ASSUME_WANT_AUDIO 1
 
@@ -19,7 +19,7 @@
     return false;
 }
 
-bool MythCDROMLinux::checkOK()
+bool MythCDROMFreeBSD::checkOK()
 {
     // Not implemented
     return true;
@@ -62,20 +62,16 @@
     return setStatus(MEDIASTAT_UNKNOWN, false);
 }
 
-MediaError MythCDROMLinux::lock() 
+MediaError MythCDROMFreeBSD::lock() 
 {
     MediaError ret = MythMediaDevice::lock();
     if (ret == MEDIAERR_OK)
-#ifdef __FreeBSD__
         ioctl(m_DeviceHandle, CDIOCPREVENT);
-#else
-        ioctl(m_DeviceHandle, CDROM_LOCKDOOR, 1);
-#endif
 
     return ret;
 }
 
-MediaError MythCDROMLinux::unlock() 
+MediaError MythCDROMFreeBSD::unlock() 
 {
     if (openDevice()) 
     { 
